## ros-melodic-uwsim-osgocean 1.0.4

=== CMakeLists.txt ===
# The name of our project is "osgOcean". CMakeLists files in this project can
# refer to the root source directory of the project as ${osgOcean_SOURCE_DIR}
# to the root binary directory of the project as ${osgOcean_BINARY_DIR}.
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)

project (uwsim_osgocean)

SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# Work around for building an xcode project. It seems XCode projects that
# built with CMake are not compatible with relative paths.
IF(NOT APPLE)
  SET( CMAKE_USE_RELATIVE_PATHS true )
ENDIF()

SET(CMAKE_DEBUG_POSTFIX "d" CACHE STRING "add a postfix, usually d")
SET(CMAKE_RELEASE_POSTFIX "" CACHE STRING "add a postfix, usually empty")
SET(CMAKE_RELWITHDEBINFO_POSTFIX "" CACHE STRING "add a postfix, usually rd")
SET(CMAKE_MINSIZEREL_POSTFIX "s" CACHE STRING "add a postfix, usually s")

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules;{CMAKE_MODULE_PATH}")

find_package (osg REQUIRED)
include_directories (${OSG_INCLUDE_DIR})

find_package (osgDB REQUIRED)
include_directories (${OSGDB_INCLUDE_DIR})

find_package (osgGA REQUIRED)
include_directories (${OSGGA_INCLUDE_DIR})

find_package (osgViewer REQUIRED)
include_directories (${OSGVIEWER_INCLUDE_DIR})

find_package (osgUtil REQUIRED)
include_directories (${OSGUTIL_INCLUDE_DIR})

find_package (osgText REQUIRED)
include_directories (${OSGTEXT_INCLUDE_DIR})

find_package (OpenThreads REQUIRED)
include_directories(${OPENTHREADS_INCLUDE_DIR})

find_package (osgShadow REQUIRED)
include_directories (${OSGSHADOW_INCLUDE_DIR})

IF (NOT WIN32)
  IF (NOT OSG_LIBRARY_DEBUG)
    SET(OSG_LIBRARY_DEBUG ${OSG_LIBRARY})
  ENDIF()
  IF (NOT OSGDB_LIBRARY_DEBUG)
    SET(OSGDB_LIBRARY_DEBUG ${OSGDB_LIBRARY})
  ENDIF()
  IF (NOT OSGGA_LIBRARY_DEBUG)
    SET(OSGGA_LIBRARY_DEBUG ${OSGGA_LIBRARY})
  ENDIF()
  IF (NOT OSGVIEWER_LIBRARY_DEBUG)
    SET(OSGVIEWER_LIBRARY_DEBUG ${OSGVIEWER_LIBRARY})
  ENDIF()
  IF (NOT OSGUTIL_LIBRARY_DEBUG)
    SET(OSGUTIL_LIBRARY_DEBUG ${OSGUTIL_LIBRARY})
  ENDIF()
  IF (NOT OSGTEXT_LIBRARY_DEBUG)
    SET(OSGTEXT_LIBRARY_DEBUG ${OSGTEXT_LIBRARY})
  ENDIF()
  IF (NOT OPENTHREADS_LIBRARY_DEBUG)
    SET(OPENTHREADS_LIBRARY_DEBUG ${OPENTHREADS_LIBRARY})
  ENDIF()
ENDIF()

find_package (OpenGL REQUIRED)
include_directories (${OPENGL_INCLUDE_DIR})

OPTION(USE_FFTW3 "Use FFTW3 (double-precision) (GPL) as FFT library." OFF)
OPTION(USE_FFTW3F "Use FFTW3 (single-precision) (GPL) as FFT library." ON)
OPTION(USE_FFTSS "Use FFTSS (LGPL) as FFT library." OFF)

# How do I enforce that only one of USE_FFTW3, USE_FFTW3F or USE_FFTSS should
# be selected at one time? Is there the concept of a radio-button or
# single-selection list in CMake? Right now it will just use the first one
# that is checked in the order below.

IF(USE_FFTSS)
  find_package (fftss REQUIRED)
  MESSAGE(STATUS "Using FFTSS (LGPL) as FFT library.")

  ADD_DEFINITIONS(-DUSE_FFTSS)
  SET( FFT_INCLUDE_DIR ${FFTSS_INCLUDE_DIR} )
  SET( FFT_LIBRARY ${FFTSS_LIBRARY} )

  SET(USE_FFTW3 FALSE)
  SET(USE_FFTW3F FALSE)
ELSEIF(USE_FFTW3F)
  find_package (fftw3f-3 REQUIRED)
  MESSAGE(STATUS "Using FFTW3F (single-precision) (GPL) as FFT library.")

  ADD_DEFINITIONS(-DUSE_FFTW3F)
  SET( FFT_INCLUDE_DIR ${FFTW3F-3_INCLUDE_DIR} )
  SET( FFT_LIBRARY ${FFTW3F-3_LIBRARY} )

  SET(USE_FFTW3 FALSE)
  SET(USE_FFTSS FALSE)
ELSEIF(USE_FFTW3)
  find_package (fftw3-3 REQUIRED)
  MESSAGE(STATUS "Using FFTW3 (double-precision) (GPL) as FFT library.")

  ADD_DEFINITIONS(-DUSE_FFTW3)
  SET( FFT_INCLUDE_DIR ${FFTW3-3_INCLUDE_DIR} )
  SET( FFT_LIBRARY ${FFTW3-3_LIBRARY} )

  SET(USE_FFTW3F FALSE)
  SET(USE_FFTSS FALSE)
ELSE()
  # Error if none of the three is selected.
  MESSAGE("No FFT library selected, you will not be able to generate ocean surfaces.")
ENDIF()


IF (WIN32)
  # This option is to enable the /DYNAMICBASE switch
  # It is used to workaround a bug in Windows 7 when linking in release, which results in corrupt
  # binaries. See this page for details: http://www.wintellect.com/CS/blogs/jrobbins/archive/2009/01/24/the-case-of-the-corrupt-pe-binaries.aspx
  OPTION(WIN32_USE_DYNAMICBASE "Set to ON to build osgOcean with the /DYNAMICBASE option to work around a bug when linking release executables on Windows 7." OFF)
  MARK_AS_ADVANCED(WIN32_USE_DYNAMICBASE)
  IF(WIN32_USE_DYNAMICBASE)
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /DYNAMICBASE")
  ENDIF(WIN32_USE_DYNAMICBASE)
ENDIF()


include( CMakePackageConfigHelpers )
# Create the osgWorksConfig.cmake and osgWorksConfigVersion files
file(RELATIVE_PATH CONF_REL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/lib"
   "${CMAKE_INSTALL_PREFIX}/include")

configure_package_config_file( 
    osgOceanConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/lib/${CMAKE_PROJECT_NAME}Config.cmake
    INSTALL_DESTINATION lib
    PATH_VARS CONF_REL_INCLUDE_DIR )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib/${CMAKE_PROJECT_NAME}Config.cmake 
        DESTINATION share/${CMAKE_PROJECT_NAME} )


# Install catkin package.xml
install(FILES package.xml DESTINATION share/uwsim_osgocean)

add_subdirectory (src)

=== src/CMakeLists.txt ===
add_subdirectory (osgOcean)
#add_subdirectory (oceanExample)

=== src/oceanExample/CMakeLists.txt ===
SET(HEADER_PATH ${osgOcean_SOURCE_DIR}/include/OceanExample )
SET(LIB_HEADER_PATH ${osgOcean_SOURCE_DIR}/include )

SET( SKYBOX_TEXTURES_1
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/down.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/east.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/north.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/south.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/up.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_clear/west.png
)

SET( SKYBOX_TEXTURES_2
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/down.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/east.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/north.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/south.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/up.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_dusk/west.png
)

SET( SKYBOX_TEXTURES_3
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/down.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/east.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/north.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/south.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/up.png
  ${osgOcean_SOURCE_DIR}/resources/textures/sky_fair_cloudy/west.png
)

SET( ISLAND_RESOURCES
  ${osgOcean_SOURCE_DIR}/resources/island/islands.ive
)

SET( BOAT_RESOURCES 
  ${osgOcean_SOURCE_DIR}/resources/boat/boat.3ds
)

SET( EXAMPLE_SHADERS
  ${osgOcean_SOURCE_DIR}/resources/shaders/terrain.vert
  ${osgOcean_SOURCE_DIR}/resources/shaders/terrain.frag
  ${osgOcean_SOURCE_DIR}/resources/shaders/terrain_lispsm.vert
  ${osgOcean_SOURCE_DIR}/resources/shaders/terrain_lispsm.frag
  ${osgOcean_SOURCE_DIR}/resources/shaders/skydome.vert
  ${osgOcean_SOURCE_DIR}/resources/shaders/skydome.frag
)

# Adds shaders to the "Shaders" group in visual studio
SOURCE_GROUP( "Shaders" FILES ${EXAMPLE_SHADERS} )

INCLUDE_DIRECTORIES(
   ${LIB_HEADER_PATH}
   ${HEADER_PATH}
)

ADD_EXECUTABLE(

  oceanExample

  application.cpp
  Scene.cpp
  SkyDome.cpp
  SphereSegment.cpp
  

  ${HEADER_PATH}/SceneEventHandler.h
  ${HEADER_PATH}/Scene.h
  ${HEADER_PATH}/ScopedTimer.h
  ${HEADER_PATH}/SkyDome.h
  ${HEADER_PATH}/SphereSegment.h
  ${HEADER_PATH}/TextHUD.h

  ${EXAMPLE_SHADERS}
)

TARGET_LINK_LIBRARIES(
  

  oceanExample

  osgOcean

  debug ${OSG_LIBRARY_DEBUG}
  optimized ${OSG_LIBRARY}

  debug ${OSGGA_LIBRARY_DEBUG}
  optimized ${OSGGA_LIBRARY}

  debug ${OSGVIEWER_LIBRARY_DEBUG}
  optimized ${OSGVIEWER_LIBRARY}

  debug ${OSGDB_LIBRARY_DEBUG}
  optimized ${OSGDB_LIBRARY}

  debug ${OSGTEXT_LIBRARY_DEBUG}
  optimized ${OSGTEXT_LIBRARY}

  debug ${OSGSHADOW_LIBRARY_DEBUG}
  optimized ${OSGSHADOW_LIBRARY}
)

INSTALL(
   TARGETS oceanExample
   RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

INSTALL(
  FILES ${SKYBOX_TEXTURES_1}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/textures/sky_clear
)

INSTALL(
  FILES ${SKYBOX_TEXTURES_2}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/textures/sky_dusk
)

INSTALL(
  FILES ${SKYBOX_TEXTURES_3}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/textures/sky_fair_cloudy
)

INSTALL(
  FILES ${EXAMPLE_SHADERS}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/shaders
)

INSTALL(
  FILES ${ISLAND_RESOURCES}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/island
)

INSTALL(
  FILES ${BOAT_RESOURCES}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/resources/boat
)

=== src/osgOcean/CMakeLists.txt ===
SET(HEADER_PATH ${PROJECT_SOURCE_DIR}/include/osgOcean )

SET( SHADER_FILES
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_surface.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_surface.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_surface_vbo.vert

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godrays.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godrays.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godray_screen_blend.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godray_screen_blend.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godray_glare.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_godray_glare.frag

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_silt_quads.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_silt_quads.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_silt_points.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_silt_points.frag

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_streak.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_streak.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_glare_composite.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_glare_composite.frag

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_downsample_glare.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_downsample.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_downsample.frag

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_gaussian.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_gaussian1.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_gaussian2.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_dof_combiner.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_dof_combiner.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_water_distortion.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_water_distortion.frag

  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_scene.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_scene.frag
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_scene_lispsm.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_ocean_scene_lispsm.frag
  
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_heightmap.vert
  ${PROJECT_SOURCE_DIR}/resources/shaders/osgOcean_heightmap.frag
)


SET( TEXTURE_FILES
  ${PROJECT_SOURCE_DIR}/resources/textures/sea_foam.png
  ${PROJECT_SOURCE_DIR}/resources/textures/sun_glare.png
)

SET( LIB_HEADERS
  ${HEADER_PATH}/Cylinder
  ${HEADER_PATH}/DistortionSurface
  ${HEADER_PATH}/FFTOceanTechnique
  ${HEADER_PATH}/FFTOceanSurface
  ${HEADER_PATH}/FFTOceanSurfaceVBO
  ${HEADER_PATH}/FFTSimulation
  ${HEADER_PATH}/GodRays
  ${HEADER_PATH}/GodRayBlendSurface
  ${HEADER_PATH}/MipmapGeometry
  ${HEADER_PATH}/MipmapGeometryVBO
  ${HEADER_PATH}/OceanScene
  ${HEADER_PATH}/OceanTechnique
  ${HEADER_PATH}/OceanTile
  ${HEADER_PATH}/RandUtils
  ${HEADER_PATH}/ScreenAlignedQuad
  ${HEADER_PATH}/ShaderManager
  ${HEADER_PATH}/SiltEffect
  ${HEADER_PATH}/WaterTrochoids
  ${HEADER_PATH}/Export
  ${HEADER_PATH}/Version
)

# Adds headers to the "Header Files" group in visual studio
SOURCE_GROUP( "Header Files" ${HEADER_PATH}/*.* )

# Adds shaders to the "Shaders" group in visual studio
SOURCE_GROUP( "Shaders" FILES ${SHADER_FILES} )

ADD_DEFINITIONS(-DOSGOCEAN_LIBRARY)

INCLUDE_DIRECTORIES (
   ${OSG_INCLUDE_DIR}
   ${FFT_INCLUDE_DIR}
   ${PROJECT_SOURCE_DIR}/include/
)

ADD_LIBRARY(
  osgOcean
  SHARED
  ${LIB_HEADERS}
  Cylinder.cpp
  DistortionSurface.cpp
  FFTOceanTechnique.cpp
  FFTOceanSurface.cpp
  FFTOceanSurfaceVBO.cpp
  FFTSimulation.cpp
  GodRays.cpp
  GodRayBlendSurface.cpp
  MipmapGeometry.cpp
  MipmapGeometryVBO.cpp
  OceanScene.cpp
  OceanTechnique.cpp
  OceanTile.cpp
  ScreenAlignedQuad.cpp
  ShaderManager.cpp
  SiltEffect.cpp
  WaterTrochoids.cpp
  Version.cpp
  ${SHADER_FILES}
)

SET_TARGET_PROPERTIES(
  osgOcean
  PROPERTIES
  PUBLIC_HEADER "${LIB_HEADERS}"
)

TARGET_LINK_LIBRARIES(
  osgOcean

  optimized ${OSG_LIBRARY}
  debug ${OSG_LIBRARY_DEBUG}
  optimized ${OSGUTIL_LIBRARY}
  debug ${OSGUTIL_LIBRARY_DEBUG}
  optimized ${OSGDB_LIBRARY}
  debug ${OSGDB_LIBRARY_DEBUG}
  optimized ${OSGGA_LIBRARY}
  debug ${OSGGA_LIBRARY_DEBUG}
  optimized ${OPENTHREADS_LIBRARY}
  debug ${OPENTHREADS_LIBRARY_DEBUG}

  ${OPENGL_LIBRARY}
  ${FFT_LIBRARY}
)

INSTALL(
  TARGETS osgOcean
  LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_PREFIX}/include/uwsim_osgocean/osgOcean
)

=== debian/changelog ===
ros-melodic-uwsim-osgocean (1.0.4-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sun, 10 Nov 2019 19:49:59 -0000

=== debian/control ===
Source: ros-melodic-uwsim-osgocean
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libfftw3-3, libfftw3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopenscenegraph-dev, openscenegraph
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-uwsim-osgocean
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libfftw3-3, libfftw3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-catkin
Description: The OSG Ocean library adapted to UWSim.
 See https://code.google.com/p/osgocean

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-uwsim-osgocean//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
